Subject: Re: linux-next: build failure after merge of the iio tree

From: Jonathan Cameron <[email-masked]>
Date: Fri, 11 Oct 2024 10:42:32 +0100

On Fri, 11 Oct 2024 15:42:41 +1100
Stephen Rothwell <[email-masked]> wrote:

> Hi all,
Thanks Stephen,

I'll call these out (I think we have 3 of them now) when I send Greg a pull request as
probably best place to tidy this up is when merging into char-misc which has
merged rc2 with Al's patch.

Greg, let me know if you'd rather I handled these in the iio tree
(probably a merge of rc2 as I'd rather not rebase)

Jonathan

> After merging the iio tree, today's linux-next build (x86_64 allmodconfig)
> failed like this:
> 
> drivers/iio/dac/ad5770r.c:20:10: fatal error: asm/unaligned.h: No such file or directory
>    20 | #include <asm/unaligned.h>
>       |          ^~~~~~~~~~~~~~~~~
> drivers/iio/adc/max1363.c:37:10: fatal error: asm/unaligned.h: No such file or directory
>    37 | #include <asm/unaligned.h>
>       |          ^~~~~~~~~~~~~~~~~
> 
> Caused by commits
> 
>   c2c4826cfa46 ("iio: adc: max1363: Convert to get_unaligned_be16")
>   0f87813bc338 ("iio: dac: ad5770r: Convert to get_unaligned_le16")
> 
> interacting with commit
> 
>   5f60d5f6bbc1 ("move asm/unaligned.h to linux/unaligned.h")
> 
> from Linus' tree (in v6.12-rc2).
> 
> I have applied the following merge fix patch.
> 
> From: Stephen Rothwell <[email-masked]>
> Date: Fri, 11 Oct 2024 15:35:57 +1100
> Subject: [PATCH] fix up for asm/unaligned inclusions in ad5770r.c and max1363.c
> 
> Signed-off-by: Stephen Rothwell <[email-masked]>
> ---
>  drivers/iio/adc/max1363.c | 2 +-
>  drivers/iio/dac/ad5770r.c | 2 +-
>  2 files changed, 2 insertions(+), 2 deletions(-)
> 
> diff --git a/drivers/iio/adc/max1363.c b/drivers/iio/adc/max1363.c
> index d59cd638db96..d065b1ade95a 100644
> --- a/drivers/iio/adc/max1363.c
> +++ b/drivers/iio/adc/max1363.c
> @@ -34,7 +34,7 @@
>  #include <linux/iio/trigger_consumer.h>
>  #include <linux/iio/triggered_buffer.h>
>  
> -#include <asm/unaligned.h>
> +#include <linux/unaligned.h>
>  
>  #define MAX1363_SETUP_BYTE(a) ((a) | 0x80)
>  
> diff --git a/drivers/iio/dac/ad5770r.c b/drivers/iio/dac/ad5770r.c
> index 12c98f3e62a5..7d7f5110d66a 100644
> --- a/drivers/iio/dac/ad5770r.c
> +++ b/drivers/iio/dac/ad5770r.c
> @@ -17,7 +17,7 @@
>  #include <linux/regmap.h>
>  #include <linux/regulator/consumer.h>
>  #include <linux/spi/spi.h>
> -#include <asm/unaligned.h>
> +#include <linux/unaligned.h>
>  
>  #define ADI_SPI_IF_CONFIG_A		0x00
>  #define ADI_SPI_IF_CONFIG_B		0x01